%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitearch: %define tcl_sitearch %{_libdir}/tcl%{tcl_version}}

Name:           amsn
Version:        0.96
Release:        7%{?dist}
Summary:        MSN Messenger clone for Linux, Mac and Windows

Group:          Applications/Internet
License:        GPL
URL:            http://www.amsn-project.net/
Source0:        http://dl.sourceforge.net/amsn/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf, desktop-file-utils, tk-devel, which, libpng-devel, libjpeg-devel
#wait for tcl/tk package to implement before uncommenting:
#Requires:       tcl(abi) = %{tcl_version}
Requires:       tcltls, tclsoap, tcllib, bwidget, tk, tkdnd, htmlview, sox
Patch1:         amsn-0.96-system-bwidget.patch

%description
This is an MSN Messenger clone for Unix, Windows, and Macintosh.
It is written in tcl/tk and supports filetransfers, webcam, etc.

%package plugins
Summary: Plugins for aMSN
Group: Applications/Internet
URL: http://amsn.sourceforge.net/plugins.php
Requires: %{name} = %{version}-%{release}

%description plugins
Extra plugins for amsn to enable drawing Ink, send and receive Nudges,
view the last lines of a recent chat when opening a new one and create
snapshots with your webcam to use as your display picture.

%prep
%setup -q
%patch1 -p1 -b .1-system-bwidget
rm -r utils/TkCximage/src/{jpeg,png,zlib}
rm -r utils/BWidget-1.7.0
rm -r skins/default/winicons

# this can go after tcl package includes tcl_sitearch in path
%{__sed} -i 's#lappend auto_path \[file join ${HOME} plugins\]#lappend auto_path \[file join \${HOME} plugins\] %{tcl_sitearch}#' amsn

# for webcam to work these paths need to be added because we move libs around
%{__sed} -i 's#\.\./libng/plugins#%{tcl_sitearch}/capture/libng/plugins#' utils/linux/capture/libng/grab-ng.c
%{__sed} -i 's#\.\./libng/contrib-plugins#%{tcl_sitearch}/capture/libng/contrib-plugins#' utils/linux/capture/libng/grab-ng.c

%{__sed} -i 's# utils/BWidget-1.7.0##' Makefile.in
%{__sed} -i 's#mozilla#htmlview#' config.tcl
%{__sed} -i 's#my_filemanager open#gnome-open#' config.tcl
%{__sed} -i 's#set program_dir \[file dirname \[info script\]\]#set program_dir "%{_datadir}/amsn/"#' amsn amsn-remote amsn-remote-CLI
autoconf

%build
%configure --enable-debug
make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}
make rpm-install INSTALL_PREFIX=${RPM_BUILD_ROOT}
mv ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/amsn ${RPM_BUILD_ROOT}/%{_bindir}/amsn 
mv ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/amsn-remote ${RPM_BUILD_ROOT}/%{_bindir}/amsn-remote
mv ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/amsn-remote-CLI ${RPM_BUILD_ROOT}/%{_bindir}/amsn-remote-CLI

rm -rf ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/utils/base64
rm -rf ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/utils/http2.4
rm -rf ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/utils/log
rm -rf ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/utils/sha1
rm -rf ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/utils/snit
rm -rf ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/utils/tcldom
rm -rf ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/utils/tclsoap1.6.7
rm -rf ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/utils/Tclxml
rm -rf ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/utils/uri
rm -rf ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/docs
rm -rf ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/{AGREEMENT,FAQ,GNUGPL,INSTALL,remote.help,TODO}
rm -rf ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/lang/{*.*,LANG-HOWTO,sortlang}

mkdir -p ${RPM_BUILD_ROOT}/%{tcl_sitearch}
mv ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/utils/linux/* ${RPM_BUILD_ROOT}/%{tcl_sitearch}/
mv ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/utils/TkCximage ${RPM_BUILD_ROOT}/%{tcl_sitearch}/
mv ${RPM_BUILD_ROOT}/%{_datadir}/%{name}/utils/webcamsn ${RPM_BUILD_ROOT}/%{tcl_sitearch}/

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/48x48/apps/
cp ${RPM_BUILD_ROOT}%{_datadir}/amsn/icons/48x48/msn.png ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/48x48/apps/

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
	--delete-original					\
	${RPM_BUILD_ROOT}%{_datadir}/%{name}/amsn.desktop

%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc AGREEMENT CREDITS docs/ FAQ GNUGPL HELP INSTALL README remote.help TODO lang/LANG-HOWTO
%{_bindir}/amsn
%{_bindir}/amsn-remote
%{_bindir}/amsn-remote-CLI
%{_datadir}/%{name}/
%{_datadir}/applications/fedora-amsn.desktop
%{_datadir}/icons/hicolor/48x48/apps/msn.png
%{tcl_sitearch}/*
%exclude %{_datadir}/%{name}/plugins/*

%files plugins
%defattr(-,root,root,-)
%{_datadir}/%{name}/plugins/*

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%changelog
* Thu Mar 8 2007 Sander Hoentjen <sander@hoentjen.eu> - 0.96-7
- Don't own tcl_sitearch

* Sun Mar 4 2007 Sander Hoentjen <sander@hoentjen.eu> - 0.96-6
- No versioned requires on tk anymore since it doesn't work with the epoch
- bump for rebuild against reverted 8.4
- added tcl macros from tcl guidelines draft
- moved private extensions to sitelib

* Fri Feb 2 2007 Sander Hoentjen <sander@hoentjen.eu> - 0.96-5
- Bump because i messed up tagging

* Fri Feb 2 2007 Sander Hoentjen <sander@hoentjen.eu> - 0.96-4
- updated requires to tcl/tk 8.5 since it will segfault with 8.4 if it is built against 8.5 and vice versa
- fixed previous changelog entry date

* Fri Feb 2 2007 Sander Hoentjen <sander@hoentjen.eu> - 0.96-3
- rebuilt against tcl/tk 8.5

* Thu Sep 4 2006 Sander Hoentjen <sander@hoentjen.eu> - 0.96-2
- webcam now works (bug #206674)

* Thu Sep 2 2006 Sander Hoentjen <sander@hoentjen.eu> - 0.96-1
- updated to 0.96 final
- drop nolocate and locallibs patch because they were accepted upstream
- changed URL because they moved the website

* Tue Aug 28 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 0.96-0.13.rc1
- Tag error, so bumping the release

* Tue Aug 28 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 0.96-0.12.rc1
- FC6 mass rebuild

* Tue Jun 20 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 0.96-0.11.rc1
- requires sox, htmlview and tkdnd now
- moved amsn, amsn-remote and amsn-remote-CLI to bindir
- removed extra " from amsn.desktop

* Mon Jun 19 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 0.96-0.10.rc1
- requires tk >= 8.4.13 because of bug #193853

* Mon Jun 19 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 0.96-0.9.rc1
- fixed lots of stuff pointed out in comment #25 on bug #185951

* Sat Jun 17 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 0.96-0.8.rc1
- updated to 0.96rc1

* Thu Jun 8 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 0.96-0.7.20060608svn
- updated to current 0.96 branch of svn
- use systemwide bwidget install

* Tue May 18 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 0.96-0.6.20060517svn
- TkCximage now uses system libs instead own included ( bugzilla #185951#c13 )

* Tue May 17 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 0.96-0.5.20060517svn
- update to current svn (upstream switched from cvs to svn)
- removed file permission fixes since they are fixed upstream
- removed BuildRequires: tcl-devel since that is required by tk-devel anyway
- require tclsoap and remove it from the amsn package
- require tcllib and remove all files from amsn that are packaged in tcllib

* Tue Apr 25 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 0.96-0.4.20060425cvs
- updated to new cvs snapshot
- added enable-debug to configure

* Mon Mar 27 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 0.96-0.3.20060327cvs
- split into amsn, amsn-plugins

* Mon Mar 27 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 0.96-0.2.20060327cvs
- linflash added upstream
- icon for desktop entry
- docfiles
- no locate needed during configure
- no explicit requires for tcl and tk

* Wed Mar 22 2006 Sander Hoentjen <tjikkun@xs4all.nl> - 0.96-0.1.20060322cvs
- created
